Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.gui.util
Class AlignedPosition

    java.lang.Object
      org.biojava.bio.structure.gui.util.AlignedPosition

    public class AlignedPosition

extends Object

Field Summary
`static int` | `EQUIVALENT` flag if this position is equivalent
`static int` | `NOT_ALIGNED` they can be shown in the same column (for a compact display) , but they are not structurally equivalent

Constructor Summary
`AlignedPosition()`

Method Summary
`int` | `getEquivalent()`
`int` | `getPos(int position)`
`int` | `getPos1()`
`int` | `getPos2()`
`void` | `setEquivalent(int equivalent)`
`void` | `setPos(int position, int pos)`
`void` | `setPos1(int pos1)`
`void` | `setPos2(int pos2)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EQUIVALENT

    public static final int EQUIVALENT

  flag if this position is equivalent

  See Also:
    Constant Field Values

### NOT_ALIGNED

    public static final int NOT_ALIGNED

  they can be shown in the same column (for a compact display) , but they are not structurally equivalent

  See Also:
    Constant Field Values

Constructor Detail

### AlignedPosition

    public AlignedPosition()

Method Detail

### getPos

    public int getPos(int position)

### setPos

    public void setPos(int position,
                       int pos)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getPos1

    public int getPos1()

### setPos1

    public void setPos1(int pos1)

### getPos2

    public int getPos2()

### setPos2

    public void setPos2(int pos2)

### getEquivalent

    public int getEquivalent()

### setEquivalent

    public void setEquivalent(int equivalent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD